import { INativeResponse, ModuleBase } from '../native';
export interface IRequestParams {
    url: string;
    data?: any;
    type?: string;
}
export declare class ApiModule extends ModuleBase {
    request(params: IRequestParams): Promise<INativeResponse>;
    follow(uid: string, delay: number): Promise<INativeResponse>;
    followCancel(uid: string): Promise<INativeResponse>;
}
export declare const API: ApiModule;
