"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var native_1 = require("../native");
var ApiModule = (function (_super) {
    __extends(ApiModule, _super);
    function ApiModule() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ApiModule.prototype.request = function (params) {
        if (!params.type || !/POST/i.test(params.type)) {
            params.type = 'GET';
        }
        params.type = params.type.toUpperCase();
        return this.native.callNative({
            module: "API",
            method: "request",
            args: params
        });
    };
    ApiModule.prototype.follow = function (uid, delay) {
        return this.native.callNative({
            module: "API",
            method: "requestFollowUserDelay",
            args: {
                uid: uid,
                delay: delay
            }
        });
    };
    ApiModule.prototype.followCancel = function (uid) {
        return this.native.callNative({
            module: "API",
            method: "cancelFollowUser",
            args: {
                uid: uid
            }
        });
    };
    return ApiModule;
}(native_1.ModuleBase));
exports.ApiModule = ApiModule;
exports.API = new ApiModule();
native_1.addJSModule("API", exports.API);
