"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var native_1 = require("../native");
var EventBusModule = (function (_super) {
    __extends(EventBusModule, _super);
    function EventBusModule() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    EventBusModule.prototype.post = function (name, data) {
        if (data === void 0) { data = null; }
        return this.native.callNative({
            module: "EventBus",
            method: "post",
            args: {
                name: name,
                data: data
            }
        });
    };
    return EventBusModule;
}(native_1.ModuleBase));
exports.EventBusModule = EventBusModule;
exports.EventBus = new EventBusModule();
native_1.addJSModule("EventBus", exports.EventBus);
