"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var native_1 = require("../native");
var MemoryModule = (function (_super) {
    __extends(MemoryModule, _super);
    function MemoryModule() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MemoryModule.prototype.get = function (key) {
        return this.native.callNativeFlat("Memory", "get", { key: key });
    };
    MemoryModule.prototype.set = function (key, val) {
        return this.native.callNativeFlat("Memory", "set", { key: key, val: val });
    };
    return MemoryModule;
}(native_1.ModuleBase));
exports.MemoryModule = MemoryModule;
exports.Memory = new MemoryModule();
native_1.addJSModule("Memory", exports.Memory);
