import { INativeResponse, ModuleBase } from '../native';
export declare type TPlayOptions = {
    url: string;
    loop: boolean;
    seek: number;
    channel: any;
};
export declare type TResume = {
    channel: any;
    seek: string;
};
export declare class AudioModule extends ModuleBase {
    download(url: string): Promise<INativeResponse>;
    play(params: TPlayOptions): void;
    pause(channel: any): void;
    resume(params: TResume): void;
    stop(channel: any): void;
    getState(channel: any): Promise<INativeResponse>;
}
export declare const Audio: AudioModule;
