import { INativeResponse, ModuleBase } from '../native';
export declare type TButton = {
    action: string;
    text: string;
    style: string;
};
export declare type TSettings = {
    cvsid: string;
};
export declare type TPostEvent = {
    event: string;
    data: object;
};
export declare class ChatletModule extends ModuleBase {
    button(params: TButton): Promise<INativeResponse>;
    setFullScreen(type: boolean): void;
    getSettings(params: TSettings): Promise<INativeResponse>;
    postEvent(params: TPostEvent): void;
    showPage(): Promise<void>;
    hidePage(): Promise<void>;
}
export declare const Chatlet: ChatletModule;
