"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var native_1 = require("../native");
var ImageModule = (function (_super) {
    __extends(ImageModule, _super);
    function ImageModule() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ImageModule.prototype.openMultiImagePicker = function () {
        return this.native.callNative({
            module: "Image",
            method: "openMultiImagePicker",
            args: {}
        });
    };
    ImageModule.prototype.uploadFile = function (key, destid) {
        return this.native.callNative({
            module: "Image",
            method: "uploadFile",
            args: {
                key: key,
                destid: destid
            }
        });
    };
    ImageModule.prototype.previewImage = function (imgs, index, selectable) {
        return this.native.callNative({
            module: "Image",
            method: "previewImage",
            args: {
                imgs: imgs,
                index: index,
                can_select: selectable,
            }
        });
    };
    return ImageModule;
}(native_1.ModuleBase));
exports.ImageModule = ImageModule;
exports.Image = new ImageModule();
native_1.addJSModule("Image", exports.Image);
