"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var native_1 = require("../native");
var KVDBModule = (function (_super) {
    __extends(KVDBModule, _super);
    function KVDBModule() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    KVDBModule.prototype.get = function (key) {
        return this.native.callNativeFlat("KVDB", "get", { key: key });
    };
    KVDBModule.prototype.set = function (key, val) {
        return this.native.callNativeFlat("KVDB", "set", { key: key, val: val });
    };
    KVDBModule.prototype.getCloud = function (key) {
        return this.native.callNativeFlat("KVDB", "getCloud", { key: key });
    };
    KVDBModule.prototype.setCloud = function (key, val) {
        return this.native.callNativeFlat("KVDB", "setCloud", { key: key, val: val });
    };
    return KVDBModule;
}(native_1.ModuleBase));
exports.KVDBModule = KVDBModule;
exports.KVDB = new KVDBModule();
native_1.addJSModule("KVDB", exports.KVDB);
