import { INativeResponse, ModuleBase } from '../native';
export declare enum PermissionType {
    stepCount = 1,
    locationWhenInUse = 2,
    locationAlways = 3,
}
export declare enum PermissionStatus {
    unavailable = 1,
    denied = 2,
    authorized = 3,
    notDetermined = 4,
    unknow = 5,
    error = 6,
    authorizedAll = 7,
    disabled = 8,
}
export declare class PermissionModule extends ModuleBase {
    check(type: PermissionType): Promise<INativeResponse>;
    request(type: PermissionType): Promise<INativeResponse>;
    requestWithTips(type: PermissionType): Promise<INativeResponse>;
}
export declare const Permission: PermissionModule;
