"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var native_1 = require("../native");
var StickerModule = (function (_super) {
    __extends(StickerModule, _super);
    function StickerModule() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    StickerModule.prototype.checkState = function (packid) {
        return this.native.callNative({
            module: "Sticker",
            method: "checkState",
            args: {
                packid: packid
            }
        });
    };
    StickerModule.prototype.download = function (packid) {
        return this.native.callNative({
            module: "Sticker",
            method: "download",
            args: {
                packid: packid
            }
        });
    };
    return StickerModule;
}(native_1.ModuleBase));
exports.StickerModule = StickerModule;
exports.Sticker = new StickerModule();
native_1.addJSModule("Sticker", exports.Sticker);
