import { ModuleBase } from '../native';
export declare type IPlayMode = {
    url: string;
    autoplay?: boolean;
    controls?: boolean;
    poster?: string;
    loop?: boolean;
};
export declare class VideoModule extends ModuleBase {
    play(params: IPlayMode): void;
    pause(): void;
    resume(): void;
    stop(): void;
}
export declare const Video: VideoModule;
