import { INativeResponse, ModuleBase } from '../native';
/**
需求参考

Wallet.callPay({
  "money": 100,
  "business" 1, // 是一个enum值，与服务端商定
  "productid": "" // 是一个固定的商品id，与服务端商定
})

// 获取我的钱包数据
Wallet.account()

// 充值
Wallet.topup({
  "money": 100
})
// 提现
Wallet.withdraw({
  "money": 100
})
 */
export declare class WalletModule extends ModuleBase {
    callPay(params: object): Promise<INativeResponse>;
    query(): Promise<INativeResponse>;
    topup(money: number): Promise<INativeResponse>;
    withdraw(money: number): Promise<INativeResponse>;
    setPassword(params: any): Promise<INativeResponse>;
    bindWithdrawAccount(params: any): Promise<INativeResponse>;
}
export declare const Wallet: WalletModule;
