"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var react_native_1 = require("react-native");
var native_1 = require("./native");
__export(require("./modules"));
__export(require("./native"));
var win = typeof window === 'undefined' ? {} : window;
var isAndroid = react_native_1.Platform.OS === 'android';
exports.isUneedWebView = false;
var ReactNative = (function (_super) {
    __extends(ReactNative, _super);
    function ReactNative() {
        var _this = _super.call(this) || this;
        // 对接ios和android的ReactNative
        var ReactUNJSBridge = react_native_1.NativeModules.ReactUNJSBridge;
        var eventEmitter;
        if (isAndroid) {
            eventEmitter = react_native_1.DeviceEventEmitter;
        }
        else {
            eventEmitter = new react_native_1.NativeEventEmitter(ReactUNJSBridge);
        }
        eventEmitter.addListener("callbackToJS", function (body) {
            _this.handleNativeResponse(JSON.parse(body.data));
        });
        eventEmitter.addListener('callJS', function (body) {
            _this.callJS(JSON.parse(body.data));
        });
        eventEmitter.addListener("dispatchEvent", function (body) {
            body = JSON.parse(body.data);
            _this.handleNativeEvent(body.event, body.data);
        });
        eventEmitter.addListener("dispatchModuleEvent", function (body) {
            body = JSON.parse(body.data);
            _this.handleModuleEvent(body.module, body.event, body.data);
        });
        return _this;
    }
    ReactNative.prototype.callNativeInternal = function (data) {
        react_native_1.NativeModules.ReactUNJSBridge.callNative(JSON.stringify(data));
    };
    ReactNative.prototype.callNativeInternalSync = function (data) {
        //TODO: 尚未实现
        return {};
    };
    return ReactNative;
}(native_1.Native));
exports.ReactNative = ReactNative;
exports.native = new ReactNative();
exports.nativeEvent = exports.native.nativeEvent;
native_1.setNativeImplement(exports.native);
