"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var native_1 = require("./native");
__export(require("./modules"));
__export(require("./native"));
var win = typeof window === 'undefined' ? {} : window;
exports.isUneedWebView = win.isUneedWebView ||
    win.navigator && win.navigator.userAgent && win.navigator.userAgent.indexOf('UneedWebView');
var ua = win.navigator.userAgent;
var isAndroid = win.androidBridge || /UNWebView\/android/.test(ua);
var isLowLevelBridge = isAndroid && /UNWebView\/android\/lowLevelBridge/.test(ua);
var isIOS = !isAndroid;
var WebViewNative = (function (_super) {
    __extends(WebViewNative, _super);
    function WebViewNative() {
        var _this = _super.call(this) || this;
        // Native调用这些方法
        win.onNativeMessage = function (data) {
            return _this.handleNativeResponse(data);
        };
        win.onNativeEvent = function (event, data) {
            return _this.handleNativeEvent(event, data);
        };
        win.onModuleEvent = function (module, event, data) {
            return _this.handleModuleEvent(module, event, data);
        };
        win.callJS = function (message) {
            return _this.callJS(message);
        };
        return _this;
    }
    WebViewNative.prototype.callNativeInternal = function (data) {
        if (isAndroid) {
            var messageStr = JSON.stringify(data);
            if (isLowLevelBridge) {
                win.prompt("unbridge://" + messageStr);
            }
            else {
                win.androidBridge.exec(messageStr);
            }
        }
        else {
            win.webkit.messageHandlers.defaultHandler.postMessage(data);
        }
    };
    return WebViewNative;
}(native_1.Native));
exports.WebViewNative = WebViewNative;
exports.native = new WebViewNative();
exports.nativeEvent = exports.native.nativeEvent;
native_1.setNativeImplement(exports.native);
